/* eslint-disable */
/* prettier-ignore */
// @ts-nocheck
// Generated by unplugin-vue-components
// Read more: https://github.com/vuejs/core/pull/3399
export {}

declare module 'vue' {
  export interface GlobalComponents {
    BAlert: typeof import('bootstrap-vue-next')['BAlert']
    BBadge: typeof import('bootstrap-vue-next')['BBadge']
    BBreadcrumb: typeof import('bootstrap-vue-next')['BBreadcrumb']
    BBreadcrumbItem: typeof import('bootstrap-vue-next')['BBreadcrumbItem']
    BButton: typeof import('bootstrap-vue-next')['BButton']
    BButtonGroup: typeof import('bootstrap-vue-next')['BButtonGroup']
    BCard: typeof import('bootstrap-vue-next')['BCard']
    BCardBody: typeof import('bootstrap-vue-next')['BCardBody']
    BCardGroup: typeof import('bootstrap-vue-next')['BCardGroup']
    BCardText: typeof import('bootstrap-vue-next')['BCardText']
    BCardTitle: typeof import('bootstrap-vue-next')['BCardTitle']
    BCol: typeof import('bootstrap-vue-next')['BCol']
    BCollapse: typeof import('bootstrap-vue-next')['BCollapse']
    BContainer: typeof import('bootstrap-vue-next')['BContainer']
    BDropdown: typeof import('bootstrap-vue-next')['BDropdown']
    BDropdownDivider: typeof import('bootstrap-vue-next')['BDropdownDivider']
    BDropdownItem: typeof import('bootstrap-vue-next')['BDropdownItem']
    BDropdownItemButton: typeof import('bootstrap-vue-next')['BDropdownItemButton']
    BForm: typeof import('bootstrap-vue-next')['BForm']
    BFormCheckbox: typeof import('bootstrap-vue-next')['BFormCheckbox']
    BFormFile: typeof import('bootstrap-vue-next')['BFormFile']
    BFormGroup: typeof import('bootstrap-vue-next')['BFormGroup']
    BFormInput: typeof import('bootstrap-vue-next')['BFormInput']
    BFormInvalidFeedback: typeof import('bootstrap-vue-next')['BFormInvalidFeedback']
    BFormRadioGroup: typeof import('bootstrap-vue-next')['BFormRadioGroup']
    BFormSelect: typeof import('bootstrap-vue-next')['BFormSelect']
    BFormSelectOption: typeof import('bootstrap-vue-next')['BFormSelectOption']
    BFormText: typeof import('bootstrap-vue-next')['BFormText']
    BFormTextarea: typeof import('bootstrap-vue-next')['BFormTextarea']
    BInputGroup: typeof import('bootstrap-vue-next')['BInputGroup']
    BInputGroupText: typeof import('bootstrap-vue-next')['BInputGroupText']
    BLink: typeof import('bootstrap-vue-next')['BLink']
    BListGroup: typeof import('bootstrap-vue-next')['BListGroup']
    BListGroupItem: typeof import('bootstrap-vue-next')['BListGroupItem']
    BModal: typeof import('bootstrap-vue-next')['BModal']
    BNavbar: typeof import('bootstrap-vue-next')['BNavbar']
    BNavbarBrand: typeof import('bootstrap-vue-next')['BNavbarBrand']
    BNavbarNav: typeof import('bootstrap-vue-next')['BNavbarNav']
    BNavbarToggle: typeof import('bootstrap-vue-next')['BNavbarToggle']
    BNavForm: typeof import('bootstrap-vue-next')['BNavForm']
    BNavItem: typeof import('bootstrap-vue-next')['BNavItem']
    BNavItemDropdown: typeof import('bootstrap-vue-next')['BNavItemDropdown']
    BOverlay: typeof import('bootstrap-vue-next')['BOverlay']
    BPagination: typeof import('bootstrap-vue-next')['BPagination']
    BPlaceholder: typeof import('bootstrap-vue-next')['BPlaceholder']
    BPlaceholderTable: typeof import('bootstrap-vue-next')['BPlaceholderTable']
    BPlaceholderWrapper: typeof import('bootstrap-vue-next')['BPlaceholderWrapper']
    BPopover: typeof import('bootstrap-vue-next')['BPopover']
    BProgress: typeof import('bootstrap-vue-next')['BProgress']
    BProgressBar: typeof import('bootstrap-vue-next')['BProgressBar']
    BreadCrumbs: typeof import('./components/elements/BreadCrumbs.vue')['default']
    BRow: typeof import('bootstrap-vue-next')['BRow']
    BSpinner: typeof import('bootstrap-vue-next')['BSpinner']
    BTab: typeof import('bootstrap-vue-next')['BTab']
    BTable: typeof import('bootstrap-vue-next')['BTable']
    BTabs: typeof import('bootstrap-vue-next')['BTabs']
    BTh: typeof import('bootstrap-vue-next')['BTh']
    BToast: typeof import('bootstrap-vue-next')['BToast']
    BToastOrchestrator: typeof import('bootstrap-vue-next')['BToastOrchestrator']
    BTooltip: typeof import('bootstrap-vue-next')['BTooltip']
    BTr: typeof import('bootstrap-vue-next')['BTr']
    CoscineCard: typeof import('./components/coscine/CoscineCard.vue')['default']
    CoscineFormGroup: typeof import('./components/coscine/CoscineFormGroup.vue')['default']
    CoscineHeadline: typeof import('./components/coscine/CoscineHeadline.vue')['default']
    CoscineModal: typeof import('./components/coscine/CoscineModal.vue')['default']
    Footer: typeof import('./components/elements/Footer.vue')['default']
    FormGenerator: typeof import('@coscine/form-generator')['default']
    'IBi:plus': typeof import('~icons/bi/plus')['default']
    IBiActivity: typeof import('~icons/bi/activity')['default']
    IBiArchive: typeof import('~icons/bi/archive')['default']
    IBiArchive16: typeof import('~icons/bi/archive16')['default']
    IBiArchiveOff: typeof import('~icons/bi/archive-off')['default']
    IBiArrowBarLeft: typeof import('~icons/bi/arrow-bar-left')['default']
    IBiArrowBarRight: typeof import('~icons/bi/arrow-bar-right')['default']
    IBiCaretRight: typeof import('~icons/bi/caret-right')['default']
    IBiCheck2: typeof import('~icons/bi/check2')['default']
    IBiCircleFill: typeof import('~icons/bi/circle-fill')['default']
    IBiCircleHalf: typeof import('~icons/bi/circle-half')['default']
    IBiClipboard: typeof import('~icons/bi/clipboard')['default']
    IBiFileEarmark: typeof import('~icons/bi/file-earmark')['default']
    IBiFileEarmarkPlus: typeof import('~icons/bi/file-earmark-plus')['default']
    IBiFolder: typeof import('~icons/bi/folder')['default']
    IBiFolder2Open: typeof import('~icons/bi/folder2-open')['default']
    IBiFullscreen: typeof import('~icons/bi/fullscreen')['default']
    IBiFullscreenExit: typeof import('~icons/bi/fullscreen-exit')['default']
    IBiFunnel: typeof import('~icons/bi/funnel')['default']
    IBiGear: typeof import('~icons/bi/gear')['default']
    IBiGlobe2: typeof import('~icons/bi/globe2')['default']
    IBiHouse: typeof import('~icons/bi/house')['default']
    IBiHouseFill: typeof import('~icons/bi/house-fill')['default']
    IBiInfoCircle: typeof import('~icons/bi/info-circle')['default']
    IBiLink45deg: typeof import('~icons/bi/link45deg')['default']
    IBiMoonStarsFill: typeof import('~icons/bi/moon-stars-fill')['default']
    IBiPencilFill: typeof import('~icons/bi/pencil-fill')['default']
    IBiPeopleFill: typeof import('~icons/bi/people-fill')['default']
    IBiPerson: typeof import('~icons/bi/person')['default']
    IBiPlus: typeof import('~icons/bi/plus')['default']
    IBiPlusCircleFill: typeof import('~icons/bi/plus-circle-fill')['default']
    IBiSearch: typeof import('~icons/bi/search')['default']
    IBiShieldLockFill: typeof import('~icons/bi/shield-lock-fill')['default']
    IBiSortDown: typeof import('~icons/bi/sort-down')['default']
    IBiSortUp: typeof import('~icons/bi/sort-up')['default']
    IBiSunFill: typeof import('~icons/bi/sun-fill')['default']
    IBiThreeDotsVertical: typeof import('~icons/bi/three-dots-vertical')['default']
    ICarbonAccessibility: typeof import('~icons/carbon/accessibility')['default']
    'IFluent:archive32Regular': typeof import('~icons/fluent/archive32-regular')['default']
    'IFluent:archiveSettings24Regular': typeof import('~icons/fluent/archive-settings24-regular')['default']
    'IFluent:archiveSettings28Regular': typeof import('~icons/fluent/archive-settings28-regular')['default']
    'IFluent:archiveSettings32Regular': typeof import('~icons/fluent/archive-settings32-regular')['default']
    'IFluent:archiveSettingsRegular': typeof import('~icons/fluent/archive-settings-regular')['default']
    'ILineMd:arrowLeftCircle': typeof import('~icons/line-md/arrow-left-circle')['default']
    IMaterialSymbolsLight: typeof import('~icons/material-symbols/light')['default']
    IMdiAccountBox: typeof import('~icons/mdi/account-box')['default']
    Internal: typeof import('./components/banner/Internal.vue')['default']
    LoadingIndicator: typeof import('./components/elements/LoadingIndicator.vue')['default']
    LoadingSpinner: typeof import('./components/coscine/LoadingSpinner.vue')['default']
    Navbar: typeof import('./components/elements/Navbar.vue')['default']
    Noc: typeof import('./components/banner/Noc.vue')['default']
    NotificationToast: typeof import('./components/toasts/NotificationToast.vue')['default']
    RouterLink: typeof import('vue-router')['RouterLink']
    RouterView: typeof import('vue-router')['RouterView']
    SessionToast: typeof import('./components/toasts/SessionToast.vue')['default']
    SidebarMenu: typeof import('./components/elements/SidebarMenu.vue')['default']
  }
  export interface ComponentCustomProperties {
    vBColorMode: typeof import('bootstrap-vue-next')['vBColorMode']
    vBPopover: typeof import('bootstrap-vue-next')['vBPopover']
    vBTooltip: typeof import('bootstrap-vue-next')['vBTooltip']
  }
}
